# ncurses 6.0 - patch 20160213 - Thomas E. Dickey
#
# ------------------------------------------------------------------------------
#
# Ncurses 6.0 is at
# 	ftp.gnu.org:/pub/gnu
#
# Patches for ncurses 6.0 can be found at
# 	ftp://invisible-island.net/ncurses/6.0
#	http://invisible-mirror.net/archives/ncurses/6.0 
#
# ------------------------------------------------------------------------------
# ftp://invisible-island.net/ncurses/6.0/ncurses-6.0-20160213.patch.gz
# patch by Thomas E. Dickey <dickey@invisible-island.net>
# created  Sun Feb 14 00:43:22 UTC 2016
# ------------------------------------------------------------------------------
# Ada95/gen/gen.c                  |    6 +++---
# NEWS                             |    8 +++++++-
# VERSION                          |    2 +-
# dist.mk                          |    4 ++--
# include/curses.tail              |    5 +----
# ncurses/curses.priv.h            |    6 +++++-
# ncurses/tinfo/lib_setup.c        |   32 +++++++++++++++-----------------
# package/debian-mingw/changelog   |    4 ++--
# package/debian-mingw64/changelog |    4 ++--
# package/debian/changelog         |    4 ++--
# package/mingw-ncurses.nsi        |    4 ++--
# package/mingw-ncurses.spec       |    2 +-
# package/ncurses.spec             |    2 +-
# test/test_sgr.c                  |    4 +++-
# 14 files changed, 47 insertions(+), 40 deletions(-)
# ------------------------------------------------------------------------------
Index: Ada95/gen/gen.c
Prereq:  1.69 
--- ncurses-6.0-20160206+/Ada95/gen/gen.c	2014-05-31 21:00:08.000000000 +0000
+++ ncurses-6.0-20160213/Ada95/gen/gen.c	2016-02-13 22:00:22.000000000 +0000
@@ -1,5 +1,5 @@
 /****************************************************************************
- * Copyright (c) 1998-2013,2014 Free Software Foundation, Inc.              *
+ * Copyright (c) 1998-2014,2016 Free Software Foundation, Inc.              *
  *                                                                          *
  * Permission is hereby granted, free of charge, to any person obtaining a  *
  * copy of this software and associated documentation files (the            *
@@ -32,7 +32,7 @@
 
 /*
     Version Control
-    $Id: gen.c,v 1.69 2014/05/31 21:00:08 tom Exp $
+    $Id: gen.c,v 1.70 2016/02/13 22:00:22 tom Exp $
   --------------------------------------------------------------------------*/
 /*
   This program prints on its standard output the source for the
@@ -108,7 +108,7 @@
   else				/* or */
     bit = ~offset;		/* 7 - offset */
   bit &= 7;			/* modulo 8 */
-  return byte & (UCHAR) (1 << bit);
+  return (UCHAR) (byte & (1 << bit));
 }
 
 /* Find lowest and highest used offset in a byte array. */
Index: NEWS
Prereq:  1.2568 
--- ncurses-6.0-20160206+/NEWS	2016-02-06 22:10:53.000000000 +0000
+++ ncurses-6.0-20160213/NEWS	2016-02-13 21:16:08.000000000 +0000
@@ -25,7 +25,7 @@
 -- sale, use or other dealings in this Software without prior written        --
 -- authorization.                                                            --
 -------------------------------------------------------------------------------
--- $Id: NEWS,v 1.2568 2016/02/06 22:10:53 tom Exp $
+-- $Id: NEWS,v 1.2571 2016/02/13 21:16:08 tom Exp $
 -------------------------------------------------------------------------------
 
 This is a log of changes that ncurses has gone through since Zeyd started
@@ -45,6 +45,12 @@
 Changes through 1.9.9e did not credit all contributions;
 it is not possible to add this information.
 
+20160213
+	+ amend fix for _nc_ripoffline from 20091031 to make test/ditto.c work
+	  in threaded configuration.
+	+ move _nc_tracebits, _tracedump and _tracemouse to curses.priv.h,
+	  since they are not part of the suggested ABI6.
+
 20160206
 	+ define WIN32_LEAN_AND_MEAN for MinGW port, making builds faster.
 	+ modify test/ditto.c to allow $XTERM_PROG environment variable to
Index: VERSION
--- ncurses-6.0-20160206+/VERSION	2016-02-06 17:26:30.000000000 +0000
+++ ncurses-6.0-20160213/VERSION	2016-02-13 15:02:20.000000000 +0000
@@ -1 +1 @@
-5:0:9	6.0	20160206
+5:0:9	6.0	20160213
Index: dist.mk
Prereq:  1.1092 
--- ncurses-6.0-20160206+/dist.mk	2016-02-06 17:26:30.000000000 +0000
+++ ncurses-6.0-20160213/dist.mk	2016-02-13 15:02:20.000000000 +0000
@@ -25,7 +25,7 @@
 # use or other dealings in this Software without prior written               #
 # authorization.                                                             #
 ##############################################################################
-# $Id: dist.mk,v 1.1092 2016/02/06 17:26:30 tom Exp $
+# $Id: dist.mk,v 1.1093 2016/02/13 15:02:20 tom Exp $
 # Makefile for creating ncurses distributions.
 #
 # This only needs to be used directly as a makefile by developers, but
@@ -37,7 +37,7 @@
 # These define the major/minor/patch versions of ncurses.
 NCURSES_MAJOR = 6
 NCURSES_MINOR = 0
-NCURSES_PATCH = 20160206
+NCURSES_PATCH = 20160213
 
 # We don't append the patch to the version, since this only applies to releases
 VERSION = $(NCURSES_MAJOR).$(NCURSES_MINOR)
Index: include/curses.tail
Prereq:  1.22 
--- ncurses-6.0-20160206+/include/curses.tail	2016-01-23 22:03:27.000000000 +0000
+++ ncurses-6.0-20160213/include/curses.tail	2016-02-13 16:37:45.000000000 +0000
@@ -1,4 +1,4 @@
-/* $Id: curses.tail,v 1.22 2016/01/23 22:03:27 tom Exp $ */
+/* $Id: curses.tail,v 1.23 2016/02/13 16:37:45 tom Exp $ */
 /*
  * vile:cmode:
  * This file is part of ncurses, designed to be appended after curses.h.in
@@ -128,10 +128,8 @@
 /* Debugging : use with libncurses_g.a */
 
 extern NCURSES_EXPORT(void) _tracef (const char *, ...) GCC_PRINTFLIKE(1,2);
-extern NCURSES_EXPORT(void) _tracedump (const char *, WINDOW *);
 extern NCURSES_EXPORT(char *) _traceattr (attr_t);
 extern NCURSES_EXPORT(char *) _traceattr2 (int, chtype);
-extern NCURSES_EXPORT(char *) _nc_tracebits (void);
 extern NCURSES_EXPORT(char *) _tracechar (int);
 extern NCURSES_EXPORT(char *) _tracechtype (chtype);
 extern NCURSES_EXPORT(char *) _tracechtype2 (int, chtype);
@@ -144,7 +142,6 @@
 #define _tracech_t		_tracechtype
 #define _tracech_t2		_tracechtype2
 #endif
-extern NCURSES_EXPORT(char *) _tracemouse (const MEVENT *);
 extern NCURSES_EXPORT(void) trace (const unsigned int);
 
 /* trace masks */
Index: ncurses/curses.priv.h
Prereq:  1.551 
--- ncurses-6.0-20160206+/ncurses/curses.priv.h	2016-01-24 01:39:09.000000000 +0000
+++ ncurses-6.0-20160213/ncurses/curses.priv.h	2016-02-13 16:37:24.000000000 +0000
@@ -34,7 +34,7 @@
  ****************************************************************************/
 
 /*
- * $Id: curses.priv.h,v 1.551 2016/01/24 01:39:09 tom Exp $
+ * $Id: curses.priv.h,v 1.552 2016/02/13 16:37:24 tom Exp $
  *
  *	curses.priv.h
  *
@@ -1684,6 +1684,10 @@
 
 extern NCURSES_EXPORT_VAR(unsigned)     _nc_tracing;
 
+extern NCURSES_EXPORT(char *) _nc_tracebits (void);
+extern NCURSES_EXPORT(char *) _tracemouse (const MEVENT *);
+extern NCURSES_EXPORT(void) _tracedump (const char *, WINDOW *);
+
 #if USE_WIDEC_SUPPORT
 extern NCURSES_EXPORT(const char *) _nc_viswbuf2 (int, const wchar_t *);
 extern NCURSES_EXPORT(const char *) _nc_viswbufn (const wchar_t *, int);
Index: ncurses/tinfo/lib_setup.c
Prereq:  1.164 
--- ncurses-6.0-20160206+/ncurses/tinfo/lib_setup.c	2015-06-27 18:10:55.000000000 +0000
+++ ncurses-6.0-20160213/ncurses/tinfo/lib_setup.c	2016-02-13 21:20:05.000000000 +0000
@@ -1,5 +1,5 @@
 /****************************************************************************
- * Copyright (c) 1998-2014,2015 Free Software Foundation, Inc.              *
+ * Copyright (c) 1998-2015,2016 Free Software Foundation, Inc.              *
  *                                                                          *
  * Permission is hereby granted, free of charge, to any person obtaining a  *
  * copy of this software and associated documentation files (the            *
@@ -48,7 +48,7 @@
 #include <locale.h>
 #endif
 
-MODULE_ID("$Id: lib_setup.c,v 1.164 2015/06/27 18:10:55 tom Exp $")
+MODULE_ID("$Id: lib_setup.c,v 1.165 2016/02/13 21:20:05 tom Exp $")
 
 /****************************************************************************
  *
@@ -808,29 +808,27 @@
 NCURSES_EXPORT(SCREEN *)
 new_prescr(void)
 {
-    static SCREEN *sp;
+    SCREEN *sp;
 
     START_TRACE();
     T((T_CALLED("new_prescr()")));
 
-    if (sp == 0) {
-	sp = _nc_alloc_screen_sp();
-	if (sp != 0) {
-	    sp->rsp = sp->rippedoff;
-	    sp->_filtered = _nc_prescreen.filter_mode;
-	    sp->_use_env = _nc_prescreen.use_env;
+    sp = _nc_alloc_screen_sp();
+    if (sp != 0) {
+	sp->rsp = sp->rippedoff;
+	sp->_filtered = _nc_prescreen.filter_mode;
+	sp->_use_env = _nc_prescreen.use_env;
 #if NCURSES_NO_PADDING
-	    sp->_no_padding = _nc_prescreen._no_padding;
+	sp->_no_padding = _nc_prescreen._no_padding;
 #endif
-	    sp->slk_format = 0;
-	    sp->_slk = 0;
-	    sp->_prescreen = TRUE;
-	    SP_PRE_INIT(sp);
+	sp->slk_format = 0;
+	sp->_slk = 0;
+	sp->_prescreen = TRUE;
+	SP_PRE_INIT(sp);
 #if USE_REENTRANT
-	    sp->_TABSIZE = _nc_prescreen._TABSIZE;
-	    sp->_ESCDELAY = _nc_prescreen._ESCDELAY;
+	sp->_TABSIZE = _nc_prescreen._TABSIZE;
+	sp->_ESCDELAY = _nc_prescreen._ESCDELAY;
 #endif
-	}
     }
     returnSP(sp);
 }
Index: package/debian-mingw/changelog
--- ncurses-6.0-20160206+/package/debian-mingw/changelog	2016-02-06 17:26:30.000000000 +0000
+++ ncurses-6.0-20160213/package/debian-mingw/changelog	2016-02-13 15:02:20.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (6.0+20160206) unstable; urgency=low
+ncurses6 (6.0+20160213) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 06 Feb 2016 12:26:30 -0500
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 13 Feb 2016 10:02:21 -0500
 
 ncurses6 (5.9-20131005) unstable; urgency=low
 
Index: package/debian-mingw64/changelog
--- ncurses-6.0-20160206+/package/debian-mingw64/changelog	2016-02-06 17:26:30.000000000 +0000
+++ ncurses-6.0-20160213/package/debian-mingw64/changelog	2016-02-13 15:02:20.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (6.0+20160206) unstable; urgency=low
+ncurses6 (6.0+20160213) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 06 Feb 2016 12:26:30 -0500
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 13 Feb 2016 10:02:21 -0500
 
 ncurses6 (5.9-20131005) unstable; urgency=low
 
Index: package/debian/changelog
--- ncurses-6.0-20160206+/package/debian/changelog	2016-02-06 17:26:30.000000000 +0000
+++ ncurses-6.0-20160213/package/debian/changelog	2016-02-13 15:02:20.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (6.0+20160206) unstable; urgency=low
+ncurses6 (6.0+20160213) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 06 Feb 2016 12:26:30 -0500
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 13 Feb 2016 10:02:21 -0500
 
 ncurses6 (5.9-20120608) unstable; urgency=low
 
Index: package/mingw-ncurses.nsi
Prereq:  1.144 
--- ncurses-6.0-20160206+/package/mingw-ncurses.nsi	2016-02-06 17:26:30.000000000 +0000
+++ ncurses-6.0-20160213/package/mingw-ncurses.nsi	2016-02-13 15:02:20.000000000 +0000
@@ -1,4 +1,4 @@
-; $Id: mingw-ncurses.nsi,v 1.144 2016/02/06 17:26:30 tom Exp $
+; $Id: mingw-ncurses.nsi,v 1.145 2016/02/13 15:02:20 tom Exp $
 
 ; TODO add examples
 ; TODO bump ABI to 6
@@ -10,7 +10,7 @@
 !define VERSION_MAJOR "6"
 !define VERSION_MINOR "0"
 !define VERSION_YYYY  "2016"
-!define VERSION_MMDD  "0206"
+!define VERSION_MMDD  "0213"
 !define VERSION_PATCH ${VERSION_YYYY}${VERSION_MMDD}
 
 !define MY_ABI   "5"
Index: package/mingw-ncurses.spec
--- ncurses-6.0-20160206+/package/mingw-ncurses.spec	2016-02-06 17:26:30.000000000 +0000
+++ ncurses-6.0-20160213/package/mingw-ncurses.spec	2016-02-13 15:02:20.000000000 +0000
@@ -3,7 +3,7 @@
 Summary: shared libraries for terminal handling
 Name: mingw32-ncurses6
 Version: 6.0
-Release: 20160206
+Release: 20160213
 License: X11
 Group: Development/Libraries
 Source: ncurses-%{version}-%{release}.tgz
Index: package/ncurses.spec
--- ncurses-6.0-20160206+/package/ncurses.spec	2016-02-06 17:26:30.000000000 +0000
+++ ncurses-6.0-20160213/package/ncurses.spec	2016-02-13 15:02:20.000000000 +0000
@@ -1,7 +1,7 @@
 Summary: shared libraries for terminal handling
 Name: ncurses6
 Version: 6.0
-Release: 20160206
+Release: 20160213
 License: X11
 Group: Development/Libraries
 Source: ncurses-%{version}-%{release}.tgz
Index: test/test_sgr.c
Prereq:  1.5 
--- ncurses-6.0-20160206+/test/test_sgr.c	2016-01-09 18:15:53.000000000 +0000
+++ ncurses-6.0-20160213/test/test_sgr.c	2016-02-13 22:08:16.000000000 +0000
@@ -29,13 +29,14 @@
 /*
  * Author: Thomas E. Dickey
  *
- * $Id: test_sgr.c,v 1.5 2016/01/09 18:15:53 tom Exp $
+ * $Id: test_sgr.c,v 1.6 2016/02/13 22:08:16 tom Exp $
  *
  * A simple demo of the sgr/sgr0 terminal capabilities.
  */
 #define USE_TINFO
 #include <test.priv.h>
 
+#if !HAVE_TIGETSTR
 static void failed(const char *) GCC_NORETURN;
 
 static void
@@ -44,6 +45,7 @@
     fprintf(stderr, "%s\n", msg);
     ExitProgram(EXIT_FAILURE);
 }
+#endif
 
 #if HAVE_TIGETSTR
 
